Summary:	The world's most popular Open Source IRC bot
Name:		eggdrop
Version:	1.6.18
Release:	8%{?dist}
License:	GPL
Group:		Applications/Communications
URL:		http://www.eggheads.org/
Source:		ftp://ftp.eggheads.org/pub/eggdrop/source/1.6/%{name}%{version}.tar.gz
Patch0:		eggdrop-1.6.17-conf.patch
Patch1:		eggdrop-1.6.17-langdir.patch
BuildRequires:	tcl-devel >= 8.3, bind-devel, zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Eggdrop is the world's most popular Open Source IRC bot, designed
for flexibility and ease of use. It is extendable with Tcl scripts
and/or C modules, has support for the big five IRC networks and is
able to form botnets, share partylines and userfiles between bots.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1 -b .conf
%patch1 -p1 -b .langdir

%build
%configure
make config
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DEST=$RPM_BUILD_ROOT%{_datadir}/%{name} install

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{README,doc,eggdrop*,filesys,logs,modules}
install -D -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 644 doc/man1/eggdrop.1 $RPM_BUILD_ROOT%{_mandir}/man1/eggdrop.1

# Move modules into /usr/lib*
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/modules-%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}

# Documentation cleanups
find doc -name "Makefile*" -exec rm {} \;
mv doc/html .
rm -rf doc/man1
chmod -x doc/WEIRD-MESSAGES eggdrop.conf src/mod/transfer.mod/*.c

# Fix paths of example eggdrop.conf
perl -pi -e s":scripts/:%{_datadir}/%{name}/scripts/:" eggdrop.conf
perl -pi -e s":help/:%{_datadir}/%{name}/help/:" eggdrop.conf
perl -pi -e s":modules/:%{_libdir}/%{name}/:" eggdrop.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING FEATURES INSTALL NEWS README doc/* html eggdrop.conf
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man?/*

%changelog
* Mon May 07 2007 Robert Scheck <robert@fedoraproject.org> 1.6.18-8
- Rebuild

* Tue Mar 13 2007 Robert Scheck <robert@fedoraproject.org> 1.6.18-7
- Rebuild for bind 9.4.0

* Wed Feb 14 2007 Robert Scheck <robert@fedoraproject.org> 1.6.18-6
- Rebuild for tcl 8.4

* Sat Feb 03 2007 Robert Scheck <robert@fedoraproject.org> 1.6.18-5
- Rebuild for tcl 8.5

* Wed Oct 25 2006 Robert Scheck <robert@fedoraproject.org> 1.6.18-4
- Rebuild

* Mon Oct 16 2006 Robert Scheck <robert@fedoraproject.org> 1.6.18-3
- Rebuild

* Sun Sep 03 2006 Robert Scheck <robert@fedoraproject.org> 1.6.18-2
- Rebuild for Fedora Core 6

* Sat Jul 15 2006 Robert Scheck <robert@fedoraproject.org> 1.6.18-1
- Upgrade to 1.6.18

* Mon Jun 19 2006 Robert Scheck <robert@fedoraproject.org> 1.6.17-4
- Replaced hardcoded LANGDIR with /usr/share/eggdrop/language to
  avoid use of EGG_LANGDIR env variable per default (#194481 #c9)

* Sun Jun 18 2006 Robert Scheck <robert@fedoraproject.org> 1.6.17-3
- Changes to match with Fedora Packaging Guidelines (#194481)

* Sun Mar 12 2006 Robert Scheck <robert@fedoraproject.org> 1.6.17-2
- Don't deliver autobotchk and botchk as documentation

* Sun Jan 22 2006 Robert Scheck <robert@fedoraproject.org> 1.6.17-1
- Upgrade to 1.6.17
- Initial spec file for Fedora Core
